@import url('https://fonts.googleapis.com/css2?family=Dancing+Script:wght@400;500;600;700&family=Merriweather:ital,wght@0,300;0,400;0,700;0,900;1,300;1,400;1,700;1,900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&family=Source+Sans+Pro:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700;1,900&display=swap');

$mainColor: #2d2d2d;
$bodyColor: #ffffff;

*,
*::before,
*::after {
  box-sizing: border-box;
}

ul[class],
ol[class] {
  padding: 0;
}

body,
h1,
h2,
h3,
h4,
p,
ul[class],
ol[class],
li,
figure,
figcaption,
blockquote,
dl,
dd {
  margin: 0;
}

body {
  overflow-x: hidden;
  min-height: 100vh;
  scroll-behavior: smooth;
  text-rendering: optimizeSpeed;
  font-family: 'Roboto', sans-serif;
  font-size: 18px;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  color: $mainColor;
  background-color: $bodyColor;
}

ul[class],
ol[class] {
  list-style: none;
}

a:not([class]) {
  text-decoration-skip-ink: auto;
}

img {
  max-width: 100%;
  display: block;
}

article > * + * {
  margin-top: 1em;
}

input,
button,
textarea,
select {
  font: inherit;
}

input::-webkit-outer-spin-button,
  input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
  }
  input[type=number] {
    -moz-appearance: textfield;
  }
@media (prefers-reduced-motion: reduce) {
  * {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}

#__next {
  min-height: 100vh;
}

.align-right {
  text-align: right;
}

.align-left {
  text-align: left;
}

.align-center {
  text-align: center;
}

.align-justify {
  text-align: justify;
}

.public-DraftEditorPlaceholder-root {
  padding: 15px;
  overflow:hidden;
}


.public-DraftEditor-content {
  min-height: 100px;
  overflow:hidden;
}

.public-DraftStyleDefault-pre {
  max-width: 100%;
  max-height: 100%;
  margin: 10px 0;
  padding: 15px;
  overflow: auto;
  background-color: #f1f2f3;
  border-radius: 3px;
  color: #666;
  font-size: 14px;
  font-weight: 400;
  line-height: 16px;
  font-family: 'Inconsolata', 'Menlo', 'Consolas', monospace;
  overflow:hidden;
  pre {
    margin: 0;
  }
}

.DraftEditor-editorContainer * {
  line-height: normal;
  overflow:hidden;
  white-space: pre-wrap;
  overflow-wrap: break-word;
}

.DraftEditor-root {
  height: 100%;
  background: #fff;
  border: 1px solid #ddd;
  font-family: 'Georgia', serif;
  font-size: 14px;
  position: relative;
  overflow:hidden;
  padding: 0;
}

.draftJsFocusPlugin__focused__3Mksn {
  cursor: default;
  border-radius: 2px;
  box-shadow: 0 0 0 3px #ACCEF7;
}

.draftJsFocusPlugin__unfocused__1Wvrs:hover {
  cursor: default;
  border-radius: 2px;
  box-shadow: 0 0 0 3px #D2E3F7;
}

.draftJsEmojiPlugin__alignmentTool__2mkQr {
  position: absolute;
  z-index: 1;
  display: flex;
  transform: translate(-50%) scale(0);
}

